extern "C" {
#include "tcp.h"
}
#include <stdio.h>

int main(void)
{
    int status;
    tcp_Socket sock;
    tcp_Socket *s = &sock;

    unsigned long host;

    sock_init();
    host = resolve("10.1.1.3");


    if (!tcp_open( s, 0, host, 4242, NULL ))
    {
        puts("cannot open");
        return 3;
    }
    sock_wait_established( s, sock_delay, NULL, &status );

    sock_puts(s, "\0\0\0\0\0\0\0\0");

    do{
        sock_tick( s, &status );
    }while(1);

    return 0;


sock_err:
    puts("problems in TCP TEST");
    printf("error code: %04x\r\n",status);
    return status;
}
